#'  Lung Cancer Survival Data

#'
#' The lung dataset contains information about lung cancer survival.
#'
#' @format A data frame with columns:
#' \describe{
#'     \item{inst}{institutional identification}
#'     \item{time}{Survival time in months.}
#'     \item{status}{Survival status (1 = death, 0 = censored).}
#'     \item{age}{Age of the patient at the start of the study.}
#'     \item{sex}{Gender of the patient.}
#'     \item{ph.ecog}{Performance status (Eastern Cooperative Oncology Group).}
#'     \item{ph.karno}{'Karnofsky' performance status.}
#'     \item{pat.karno}{'Karnofsky' performance status as assessed by the patient.}
#'     \item{meal.cal}{Daily caloric intake at the start of the study.}
#'     \item{wt.loss}{Weight loss in the last six months.}
#'   }
#'
#' @examples
#' data(lung)
"lung"
